"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiPropertyOptional = exports.ApiProperty = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const validator_1 = require("./validator");
__exportStar(require("@nestjs/swagger"), exports);
const ApiProperty = (args) => {
    const validationDisabled = args?.disableDefaultValidation ?? false;
    const nullable = args?.nullable ?? false;
    const decorators = [
        (0, class_transformer_1.Expose)(),
        (0, validator_1.IsDefined)(),
        (0, swagger_1.ApiProperty)({ required: true, nullable, ...args }),
    ];
    if (!nullable && !validationDisabled) {
        decorators.push((0, validator_1.IsNotNull)());
    }
    return (0, common_1.applyDecorators)(...decorators);
};
exports.ApiProperty = ApiProperty;
const ApiPropertyOptional = (args = {}) => {
    const validationDisabled = args?.disableDefaultValidation ?? false;
    const nullable = args.nullable ?? true;
    const decorators = [
        (0, class_transformer_1.Expose)(),
        (0, swagger_1.ApiPropertyOptional)({ required: false, nullable, ...args }),
    ];
    if (!validationDisabled) {
        decorators.push(nullable ? (0, class_validator_1.IsOptional)() : (0, validator_1.IsNotNullAndOptional)());
    }
    return (0, common_1.applyDecorators)(...decorators);
};
exports.ApiPropertyOptional = ApiPropertyOptional;
//# sourceMappingURL=api.js.map