"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToLowerCase = exports.ToUpperCase = exports.ToFixed = void 0;
const class_transformer_1 = require("class-transformer");
const ToFixed = (precision = 2) => (0, class_transformer_1.Transform)(({ value }) => typeof value === 'number' ? value.toFixed(precision) : value);
exports.ToFixed = ToFixed;
const ToUpperCase = () => (0, class_transformer_1.Transform)(({ value }) => typeof value === 'string' ? value.toUpperCase() : value);
exports.ToUpperCase = ToUpperCase;
const ToLowerCase = () => (0, class_transformer_1.Transform)(({ value }) => typeof value === 'string' ? value.toLowerCase() : value);
exports.ToLowerCase = ToLowerCase;
//# sourceMappingURL=transform.js.map