"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertToInstance = void 0;
const class_transformer_1 = require("class-transformer");
const defaultOptions = {
    excludeExtraneousValues: true,
    exposeUnsetFields: false,
};
/**
 * Convert a plain object to a class instance
 */
const convertToInstance = (classType, object, options = {}) => (0, class_transformer_1.plainToClass)(classType, object, {
    ...defaultOptions,
    ...options,
});
exports.convertToInstance = convertToInstance;
//# sourceMappingURL=serialize.js.map